/*
 * Class EV_MODEL_MATH
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_400 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_400 [] = {0xFF01,1551,399,0xFFFF};
static const EIF_TYPE_INDEX egt_2_400 [] = {0xFF01,399,0xFFFF};
static const EIF_TYPE_INDEX egt_3_400 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_400 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_400 [] = {0xFF01,399,0xFFFF};
static const EIF_TYPE_INDEX egt_6_400 [] = {0xFF01,399,0xFFFF};
static const EIF_TYPE_INDEX egt_7_400 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_400 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_400 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_400 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_400 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_400 [] = {0xFF01,399,0xFFFF};


static const struct desc_info desc_400[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_400), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_400), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_400), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_400), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_400), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_400), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_400), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_400), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_400), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_400), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_400), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_400), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x031F /*399*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_400), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6856, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6857, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6858, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6859, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6860, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6883, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6884, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6885, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6886, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6887, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6888, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6875, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6876, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6877, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6878, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6879, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6880, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6881, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6882, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6926, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6927, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6911, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6912, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6913, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6914, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6915, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6916, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6917, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6918, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6919, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6920, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6921, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6922, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6923, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6924, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6925, 0xFFFFFFFF},
};
void Init400(void)
{
	IDSC(desc_400, 0, 399);
	IDSC(desc_400 + 1, 1, 399);
	IDSC(desc_400 + 32, 902, 399);
	IDSC(desc_400 + 37, 371, 399);
	IDSC(desc_400 + 51, 181, 399);
}


#ifdef __cplusplus
}
#endif
